# Ogre::EdgeData::EdgeGroup Struct Reference

A group of edges sharing the same vertex data. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes

size_t | vertexSet
| The vertex set index that contains the vertices for this edge group.
const VertexData * | vertexData
| Pointer to vertex data used by this edge group.
size_t | triStart
| Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array.
size_t | triCount
| Number triangles of this edge group.
EdgeList | edges
| The edges themselves.

## Detailed Description

A group of edges sharing the same vertex data.

Definition at line 89 of file OgreEdgeListBuilder.h.

## Member Data Documentation

size_t Ogre::EdgeData::EdgeGroup::vertexSet

The vertex set index that contains the vertices for this edge group.

Definition at line 92 of file OgreEdgeListBuilder.h.

const VertexData* Ogre::EdgeData::EdgeGroup::vertexData

Pointer to vertex data used by this edge group.

Definition at line 94 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::EdgeGroup::triStart

Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array.

Definition at line 99 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::EdgeGroup::triCount

Number triangles of this edge group.

Definition at line 101 of file OgreEdgeListBuilder.h.

EdgeList Ogre::EdgeData::EdgeGroup::edges

The edges themselves.

Definition at line 103 of file OgreEdgeListBuilder.h.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:56 2009